# Полиморфизм

# Проблема 

class Rectangle:
    def __init__(self, a, b):
        self.a = a
        self.b = b

    def get_area(self):
        return self.a * self.b
    

class Square:

    def __init__(self, a) -> None:
        self.a = a

    def get_area(self):
        return self.a**2


class Circle:

    def __init__(self, r):
        self.r = r

    def get_area(self):
        return 3.14*self.r**2
        



def main():
    rect1 = Rectangle(3, 4)
    rect2 = Rectangle(12, 5)

    sq1 = Square(4)
    sq2 = Square(5)

    figures = [rect1, rect2, sq1, sq2]
    for figure in figures:
        print(figure.get_area())



if __name__ == '__main__':
    main()